### Virtual Method

# Soup Auth get_authorization

#### Declaration [src]

    char*
    get_authorization (
      SoupAuth* auth,
      SoupMessage* msg
    )

#### Description [src]

Generates an appropriate “Authorization” header for `msg`.

(The session will only call this if `soup_auth_is_authenticated()` returned `TRUE`.)

#### Parameters

`msg`

  Type: `SoupMessage`

  The `SoupMessage` to be authorized.

  The data is owned by the caller of the function.

#### Return value

Type: `char*`

The “Authorization” header, which must be freed.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.